Subject: [Idna-update] [Editorial Errata Reported] RFC5890 (5484)

From: RFC Errata System <[email-masked]>
Date: Tue, 28 Aug 2018 04:39:38 -0700 (PDT)

The following errata report has been submitted for RFC5890,
"Internationalized Domain Names for Applications (IDNA): Definitions and Document Framework".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5484

--------------------------------------
Type: Editorial
Reported by: Peter Occil <[email-masked]>

Section: 2.3.2.1

Original Text
-------------
   For IDNA-aware applications, the three types of valid labels are
   "A-labels", "U-labels", and "NR-LDH labels", each of which is defined
   below.

Corrected Text
--------------
   For IDNA-aware applications, the three types of valid labels are
   "A-labels", "U-labels", and "NR-LDH labels", each of which is defined
   below and in section 2.3.1.

Notes
-----
The term NR-LDH label is actually defined in section 2.3.1, not later in this section.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5890 (draft-ietf-idnabis-defs-13)
--------------------------------------
Title               : Internationalized Domain Names for Applications (IDNA): Definitions and Document Framework
Publication Date    : August 2010
Author(s)           : J. Klensin
Category            : PROPOSED STANDARD
Source              : Internationalized Domain Names in Applications (Revised)
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Vint Cerf <[email-masked]>
Date: Tue, 28 Aug 2018 07:55:51 -0400

i re-read RFC5890 and concur with the erratum.

vint cerf

On Tue, Aug 28, 2018 at 7:39 AM, RFC Errata System <
[email-masked]> wrote:

> Title               : Internationalized Domain Names for Applications
> (IDNA): Definitions and Document Framework

-- 
New postal address:
Google
1875 Explorer Street, 10th Floor
Reston, VA 20190

---

From: John C Klensin <[email-masked]>
Date: Tue, 28 Aug 2018 10:57:33 -0400

This erratum, as Vint indicates, is correct.  In the evolution
of 5890, the definitions were reshuffled several times and it is
easy to guess how the error might have occurred.  I don't know
why neither I nor the RFC Editor missed it in the final version,
but mea culpa.

For a future version, almost certainly the right fix is to
rearrange the text again so that all of the definitions either
follow or precede that comment.

Peter, thanks for the careful reading.
  john

--On Tuesday, August 28, 2018 04:39 -0700 RFC Errata System
<[email-masked]> wrote:

>    For IDNA-aware applications, the three types of valid
> labels are    "A-labels", "U-labels", and "NR-LDH labels",
> each of which is defined    below.
> 
> 
> Corrected Text
> --------------
>    For IDNA-aware applications, the three types of valid
> labels are    "A-labels", "U-labels", and "NR-LDH labels",
> each of which is defined    below and in section 2.3.1.
> 
> Notes
> -----
> This erratum is currently posted as "Reported". If necessary,
> please use "Reply All" to discuss whether it should be
> verified or rejected. When a decision is reached, the
> verifying party   can log in to change the status and edit the
> report, if necessary. 
> 
> Title               : Internationalized Domain Names for
> Applications (IDNA): Definitions and Document Framework
> Source              : Internationalized Domain Names in
> Applications (Revised) Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG